> ## Documentation Index
> Fetch the complete documentation index at: https://docs.swytchpay.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Consultar deposit



## OpenAPI

````yaml /reference/openapi.json get /v1/deposits/{id}
openapi: 3.1.0
info:
  title: SwytchPay API
  version: 0.1.0
  description: 'Gateway de pagamentos multi-provedor (PIX). Auth: x-api-key + x-api-secret.'
servers:
  - url: https://api.swytchpay.app
security: []
paths:
  /v1/deposits/{id}:
    get:
      tags:
        - Deposits
      summary: Consultar deposit
      parameters:
        - schema:
            type: string
          required: true
          name: id
          in: path
      responses:
        '200':
          description: Deposit
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Deposit'
components:
  schemas:
    Deposit:
      type: object
      properties:
        id:
          type: string
        object:
          type: string
          enum:
            - deposit
        external_id:
          type: string
        status:
          type: string
          enum:
            - PENDING
            - PAID
            - EXPIRED
            - REFUNDED
            - FAILED
        amount_cents:
          type: integer
        fee_cents:
          type: integer
        net_cents:
          type: integer
        pix:
          type: object
          properties:
            emv:
              type: string
              nullable: true
            qr_url:
              type: string
              nullable: true
          required:
            - emv
            - qr_url
        environment:
          type: string
          enum:
            - live
            - test
      required:
        - id
        - object
        - external_id
        - status
        - amount_cents
        - fee_cents
        - net_cents
        - pix
        - environment
      additionalProperties:
        nullable: true

````